Services
Détails d'un service
Récupérez un service précis via son UUID.
Détails d'un service
curl --request GET \
--url https://kennhosting.com/api/v1/services/{service_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://kennhosting.com/api/v1/services/{service_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kennhosting.com/api/v1/services/{service_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Requête
GET /v1/services/{service_uuid}
Authorization: Bearer kh_live_xxxx
Paramètres de chemin
| Paramètre | Type | Requis | Description |
|---|---|---|---|
service_uuid | UUID | Oui | UUID du service |
Réponse
{
"success": true,
"data": {
"id": 1,
"uuid": "fd952496-bb36-4e9f-98e1-cf897b048fb0",
"user_id": 2,
"service_plan_id": 2,
"order_id": 1,
"domain": "sergiochebeu.dev",
"status": "suspended",
"activated_at": "2026-02-17T16:33:09.000000Z",
"expires_at": null,
"cancel_at": null,
"cancellation_type": null,
"created_at": "2026-02-17T16:33:09.000000Z",
"updated_at": "2026-03-14T12:22:29.000000Z",
"plan": {
"id": 2,
"name": "PRO",
"slug": "pro",
"category": "advanced",
"price": "105000.00",
"features": {}
}
}
}
Permissions requises
services:readPrevious
Renouveler un serviceCréez une commande de renouvellement (facture en attente) pour un service existant.
Next
⌘I
Détails d'un service
